Subject: bug#11071: manual fails to point out that C-S-backspace only works with GUIs

From: Chong Yidong <[email-masked]>
Date: Wed, 11 Apr 2012 14:29:37 +0800

Eric Hanchrow <[email-masked]> writes:

> I did  C-h r g Killing whole lines RET to read the Emacs manual.
>
> It says
>
>     `C-S-backspace'
>          Kill an entire line at once (`kill-whole-line')
>
> However, I don't think it's possible to type `C-S-backspace' when using
> emacs in console mode.  If I'm right about that, it'd be good if the
> manual pointed that out -- it'd be even better if Emacs bound
> kill-whole-line to something that _could_ be typed in console mode.

Further down, the manual says:

   `C-S-backspace' (`kill-whole-line') kills a whole line including its
 newline, regardless of the position of point within the line.  Note
 that many text terminals will prevent you from typing the key sequence
 `C-S-backspace'.

I'd rather not go hunting for a new key for this command, for the reason
that Glenn gave.